<!-- tab药房 -->
<template>
  <div class="main">
    <!-- src="https://v.360lj.com/source.html?keyword=https://ue.github.com"  -->
    <iframe
      src="https://v.360lj.com/index.html"
      frameborder="0"
      class="vshop"
      v-if="isLogin"
    ></iframe>

    <a
      :href="
        'https://v.360lj.com/source.html?keyword=https://ue.github.com%26backurl=' +
          href
      "
      ref="testa"
      v-else
    ></a>
  </div>
</template>
<script>
export default {
  name: "",
  data() {
    return {
      isLogin: false, //是否授权
      href: location.href
    };
  },
  mounted() {
    console.log(this.href);
    if (location.search.substr(1).search("isLogin") > -1) {
      this.isLogin = true;
    } else {
      this.$refs["testa"].click();
    }
  }
};
</script>
<style lang="less" scoped>
.main {
  height: 100vh;
  padding-bottom: 1rem;
  .vshop {
    height: 100%;
    width: 100%;
  }
}
</style>
